org.codehaus.groovy.vmplugin.v7

## Enum IndyInterface.CALL_TYPES

- java.lang.Object
- - java.lang.Enum<IndyInterface.CALL_TYPES>
  - - org.codehaus.groovy.vmplugin.v7.IndyInterface.CALL_TYPES

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndyInterface.CALL_TYPES>

Enclosing class:
  IndyInterface

    public static enum IndyInterface.CALL_TYPES
    extends java.lang.Enum<IndyInterface.CALL_TYPES>

Enum for easy differentiation between call types

Author:
  Jochen "blackdrag" Theodorou

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CAST` Cast invocation type
`GET` Get property invocation type
`INIT` Constructor invocation type
`METHOD` Method invocation type
`SET` Set property invocation type

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getCallSiteName()` Returns the name of the call site type
`static IndyInterface.CALL_TYPES` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndyInterface.CALL_TYPES[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### METHOD

    public static final IndyInterface.CALL_TYPES METHOD

Method invocation type

#### INIT

    public static final IndyInterface.CALL_TYPES INIT

Constructor invocation type

#### GET

    public static final IndyInterface.CALL_TYPES GET

Get property invocation type

#### SET

    public static final IndyInterface.CALL_TYPES SET

Set property invocation type

#### CAST

    public static final IndyInterface.CALL_TYPES CAST

Cast invocation type

### Method Detail

#### values

    public static IndyInterface.CALL_TYPES[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndyInterface.CALL_TYPES c : IndyInterface.CALL_TYPES.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndyInterface.CALL_TYPES valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCallSiteName

    public java.lang.String getCallSiteName()

Returns the name of the call site type